Subject: Re: linux-next: manual merge of the kvms390 tree with the nds32 tree

From: Stephen Rothwell <[email-masked]>
Date: Mon, 19 Mar 2018 14:49:24 +1100

Hi all,

On Mon, 26 Feb 2018 13:34:45 +1100 Stephen Rothwell <[email-masked]> wrote:
>
> Today's linux-next merge of the kvms390 tree got a conflict in:
> 
>   drivers/video/console/Kconfig
> 
> between commit:
> 
>   2312dbf7462b ("drivers/video/concole: add negative dependency for VGA_CONSOLE on nds32")
> 
> from the nds32 tree and commits:
> 
>   8da93aca3729 ("Kconfig : Remove HAS_IOMEM dependency for Graphics support")
>   416b744f4494 ("s390/setup : enable display support for KVM guest")
> 
> from the kvms390 tree.
> 
> I fixed it up (see below) and can carry the fix as necessary. This
> is now fixed as far as linux-next is concerned, but any non trivial
> conflicts should be mentioned to your upstream maintainer when your tree
> is submitted for merging.  You may also want to consider cooperating
> with the maintainer of the conflicting tree to minimise any particularly
> complex conflicts.
> 
> -- 
> Cheers,
> Stephen Rothwell
> 
> diff --cc drivers/video/console/Kconfig
> index 27bb893cf6b2,b9c2c916247e..000000000000
> --- a/drivers/video/console/Kconfig
> +++ b/drivers/video/console/Kconfig
> @@@ -9,7 -9,7 +9,7 @@@ config VGA_CONSOL
>   	depends on !4xx && !PPC_8xx && !SPARC && !M68K && !PARISC && !FRV && \
>   		!SUPERH && !BLACKFIN && !AVR32 && !MN10300 && !CRIS && \
>   		(!ARM || ARCH_FOOTBRIDGE || ARCH_INTEGRATOR || ARCH_NETWINDER) && \
> - 		!ARM64 && !ARC && !MICROBLAZE && !OPENRISC && !NDS32
>  -		!ARM64 && !ARC && !MICROBLAZE && !OPENRISC && HAS_IOMEM && !S390
> ++		!ARM64 && !ARC && !MICROBLAZE && !OPENRISC && !NDS32 && HAS_IOMEM && !S390
>   	default y
>   	help
>   	  Saying Y here will allow you to use Linux in text mode through a

This conflict is now between the kvm tree and the nds32 tree.

-- 
Cheers,
Stephen Rothwell